## mirror mirror |

## Properties

GstMirrorMode | mode | Read / Write

## Types and Values

struct | GstMirror
enum | GstMirrorMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstMirror

## Description

Mirror is a geometric transform element. It splits the image into two halves and reflects one over each other.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! mirror ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | geometrictransform
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstMirror

    struct GstMirror;

### enum GstMirrorMode

How to split the video frame and which side reflect

#### Members

GST_MIRROR_MODE_LEFT | Split horizontally and reflect left into right |
GST_MIRROR_MODE_RIGHT | Split horizontally and reflect right into left |
GST_MIRROR_MODE_TOP | Split horizontally and reflect top into bottom |
GST_MIRROR_MODE_BOTTOM | Split horizontally and reflect bottom into top |

## Property Details

### The `“mode”` property

      “mode”                     GstMirrorMode

How to split the video frame and which side reflect.

Flags: Read / Write

Default value: Split horizontally and reflect left into right

## See Also

geometrictransform